/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoConvenio;
import com.rjconsultores.ventaboletos.entidad.TipoInformativoComissao;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderTipoInformativoComissao implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoInformativoComissao tipoInformativo = (TipoInformativoComissao) o;

        Listcell lc = new Listcell(tipoInformativo.getTipoinformativoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoInformativo.getDesctipo());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoInformativo);
    }
}
